(function ({theme}) {

  /**
   * Overridable theme function for the search results.
   */
  theme.searchApiLunrResult = Drupal.theme.searchApiLunrResult || function(document) {
    let build = ['<div class="search-api-lunr-teaser">'];
    build.push(`<h2><a href="${document.getUrl()}">${document.getLabel()}</a></h2>`);
    let summary = document.getSummary();
    if (summary) {
      build.push(`<p>${summary}...</p>`);
    }
    build.push('</div>');
    return build.join('');
  };

  /**
   * Rendered when there are no results.
   */
  theme.searchApiLunrNoResults = Drupal.theme.searchApiLunrNoResults || function() {
    return '<p>No results found.</p>';
  };

})(window.Drupal);
